import req from '@/request.js'
const portal = window.context.portal
export default {
    // 添加
    addReport(data, cb) {
        req.post(portal + `/exam/year/report/`, data).then(res => {
            cb(res.data)
        })
    },
	// 修改
	editReport(data, cb) {
	    req.put(portal + `/exam/year/report/`, data).then(res => {
	        cb(res.data)
	    })
	},
	// 查询
	queryReport(data, cb) {
	    req.post(portal + `/exam/year/report/query`, data).then(res => {
	        cb(res.data)
	    })
	},
	//id查询实体
	detailReport(id,cb){
		req.get(portal + `/exam/year/report/` + id).then(rep => {
		    cb(rep.data)
		})
	},
}